fmatch-methods {msbase} | R Documentation

## Index of matching peaks

### Description

Determines index of matching peaks.

### Arguments

`obx` | see below in Methods section
`oby` | see below in Methods section
`error` | measurement error in e.g. Da or as relative error in parts per million (ppm)
`ppm` | if `TRUE` then error in parts per million(ppm), in arbitrary units otherwise.
`uniq` | if `TRUE` compute non-crossing matching.

### Value

`plind` | index of matching peaks in argument `obx`
`calind` | index of matching peaks in argument `oby`
`resid` | residue between matching peaks (either in `ppm` or `Da`)

### Methods

obx = "numeric", oby = "numeric"
  ...
obx = "Massvector", oby = "Massvector"
  ...

### Examples

    data(pldata)
    pl1 <- pldata[[1]]
    pl2 <- pldata[[4]]
    fmatch(pl1,pl2,error=0.1,ppm=FALSE,uniq=TRUE)
    fmatch(pl1,pl2,error=150,ppm=TRUE,uniq=TRUE)

[Package msbase version 1.5.0 Index]